Probleme de fichier libpthread.so.0


#1

Bonjour,

Voila j’ai installe une debian 3.0 sur une veille machine pour faire des serveur Counter-Strike. Je suis en ligne de commande.

Lors de l’exécution de mon serveur, et après l’activation de metamod, j’ai une erreur :

Error: /lib/libpthread.so.0: version ‘GLIBC_2.3.2’ not found (required by ./tier0_s_i486.so)

Aparemment il faut mettre à jour ce fichier. Seulement je suis débutant sous linux. Je ne sais pas quoi faire pour remédier à ce problème.

Quelqu’un aurai-t-il l’âme généreuse pour m’aider? :frowning:

Merki d’avance


#2

ca tourne pas en sarge (3.1)?
Parcequ’il semblerait que ce soit ta glibc qui doit être plus récente, et c’est grossièrement ce qui fait la différence entre la 3.0 et la 3.1.


#3

Non c’est une debian 3.0 j’en suis sur.
C’est une woody je crois. M’enfin comme j’y connais pas grand chose…
Aurait tu une solution à me proposer?
merki


#4

J’ai telecharger cette version de debian fin mai debut juin environ


#5

tu n’as pas compris ma question: je sais que la 3.0 est une woody :wink:
Ce que je demandais, c’est est ce que par hasard, ton serveur necessitait ABSOLUMENT une woody.
A ce que j’ai lu, il n’y a aucune contre indication particulière.
Donc, voici mon conseil: passes en sarge.
Si tu es sur le net avec cette machine, ca prend le temps d’une mise à jour de tes paquets installés…


#6

Oki. peut m’expliquer la marche à suivre?
Dsl pour mon imconpréhension :blush: et mon mank de savoir.


#7

tu renommes le fichier /etc/apt/sources.list, et tu le recrées en y mettant[code]# volatile stable
#deb ftp://ftp2.de.debian.org/debian-volatile sarge/volatile main contrib non-free
#deb-src ftp://ftp2.de.debian.org/debian-volatile sarge/volatile main contrib non-free

security stable

deb ftp://ftp2.de.debian.org/debian-security sarge/updates main contrib non-free
deb-src ftp://ftp2.de.debian.org/debian-security sarge/updates main contrib non-free

debian non-us stable

deb ftp://ftp2.de.debian.org/debian-non-US sarge/non-US main contrib non-free
deb-src ftp://ftp2.de.debian.org/debian-non-US sarge/non-US main contrib non-free

debian stable

deb ftp://ftp2.de.debian.org/debian sarge main contrib non-free
deb-src ftp://ftp2.de.debian.org/debian sarge main contrib non-free[/code]
ensuite, tu fais
apt-get update
pour mettre à jour les listes de paquets, puis tu testes
apt-get upgrade
apt-get dist-upgrade
apt-get dselect-upgrade
en répondant que [n]on tu ne veux pas faire la mise à jour, et tu regardes l’option qui met à jour le plus de paquets en en enlevant le moins possible.
Finalement, tu fais en vrai l’upgrade que tu as choisie, et roule…


#8

je te remercie. Je vais tenter la manip.